---
title: V2
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Images](https://developers.cloudflare.com/api/python/resources/images)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# V2

##### [List images V2](https://developers.cloudflare.com/api/python/resources/images/subresources/v2/methods/list)

images.v2.list(V2ListParams\*\*kwargs) -> [V2ListResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v2%20%3E%20(model)%20v2_list_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/images/v2

##### ModelsExpand Collapse

<details>

<summary>

class V2ListResponse: …

</summary>

continuation\_token: Optional\[str]

Continuation token to fetch next page. Passed as a query param when requesting List V2 api endpoint.

maxLength32

<a href="#(resource)%20images.v2%20%3E%20(model)%20v2_list_response%20%3E%20(schema)%20%3E%20(property)%20continuation_token">Link to this property</a>

<details>

<summary>

images: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)">Image</a>]]

</summary>

id: Optional\[str]

Image unique identifier.

maxLength32

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

creator: Optional\[str]

Can set the creator field with an internal user ID.

maxLength1024

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20creator">Link to this property</a>

filename: Optional\[str]

Image file name.

maxLength255

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20filename">Link to this property</a>

meta: Optional\[object]

User modifiable key-value store. Can be used for keeping references to another system of record for managing images. Metadata must not exceed 1024 bytes.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

require\_signed\_urls: Optional\[bool]

Indicates whether the image can be a accessed only using it’s UID. If set to true, a signed token needs to be generated with a signing key to view the image.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20requireSignedURLs">Link to this property</a>

uploaded: Optional\[datetime]

When the media item was uploaded.

formatdate-time

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20uploaded">Link to this property</a>

variants: Optional\[List\[str]]

Object specifying available variants for an image.

<a href="#(resource)%20images.v1%20%3E%20(model)%20image%20%3E%20(schema)%20%3E%20(property)%20variants">Link to this property</a>

</details>

<a href="#(resource)%20images.v2%20%3E%20(model)%20v2_list_response%20%3E%20(schema)%20%3E%20(property)%20images">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v2%20%3E%20(model)%20v2_list_response%20%3E%20(schema)>)

#### V2Direct Uploads

##### [Create authenticated direct upload URL V2](https://developers.cloudflare.com/api/python/resources/images/subresources/v2/subresources/direct_uploads/methods/create)

images.v2.direct\_uploads.create(DirectUploadCreateParams\*\*kwargs) -> [DirectUploadCreateResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v2.direct_uploads%20%3E%20(model)%20direct_upload_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/images/v2/direct\_upload

##### ModelsExpand Collapse

<details>

<summary>

class DirectUploadCreateResponse: …

</summary>

id: Optional\[str]

Image unique identifier.

maxLength32

<a href="#(resource)%20images.v2.direct_uploads%20%3E%20(model)%20direct_upload_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

upload\_url: Optional\[str]

The URL the unauthenticated upload can be performed to using a single HTTP POST (multipart/form-data) request.

<a href="#(resource)%20images.v2.direct_uploads%20%3E%20(model)%20direct_upload_create_response%20%3E%20(schema)%20%3E%20(property)%20uploadURL">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v2.direct_uploads%20%3E%20(model)%20direct_upload_create_response%20%3E%20(schema)>)